Bug 227935 - system-config-printer gives "TypeError: iter must be a GtkTreeIter"
system-config-printer gives "TypeError: iter must be a GtkTreeIter"
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update
  Show dependency treegraph
Reported: 2007-02-08 18:05 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.52-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-15 04:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-02-08 18:05:59 EST
Description of problem:

While configuring the first printer queue, after the old one
got deleted, I got this:

# Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2322,
in on_tvNPMakes_cursor_changed
    self.NPMake = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2322,
in on_tvNPMakes_cursor_changed
    self.NPMake = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
/usr/lib/cups/filter/foomatic-rip: found

Yes, this indeed showed up twice although I am not sure in which moment.

That printer is a network located printer using built-in JetDirect server,
and Samsung ML-2250 pxlmono driver.

Version-Release number of selected component (if applicable):

How reproducible:
Looks consistent
Comment 1 Michal Jaegermann 2007-02-08 20:50:36 EST
All described above "attractions" apply to system-config-printer-0.7.50-1.fc6
from updates-testing as well.  Only this time I was watching closely
what happens the tracebacks like the above show up when during
configuration one is trying to type names in order to get the right

Also with Samsung ML-2250 highlighed I tried to pickup a correct driver
and got:

ERROR: foomatic-ppdfile: Printer 'Samsung-CLP-300' and driver 'splix' are not
ERROR: foomatic-ppdfile: Driver 'splix' not in database!

Going "Back" and "Forward" indeed showed up that system-config-printer
highlights now CLP-300 with 'splix' as the only driver.  How it got
there I have not the slightest idea.   On the second attempt to
chose ML-2550 with pxlmono it got it right.
Comment 2 Michal Jaegermann 2007-02-08 21:25:49 EST
I tried again to start that printer configuration from scrach
using system-config-printer-0.7.50-1.fc6 and while on
"Select printer from database screen" I clearly had picked up
and highligthd "Samsung" a list of models was clearly showing
various Brother models.  Going "Back" and "Forward" two or three
times eventually brought to a screen a list of various Samsungs.

OTOH it looks like that whatever is written in /etc/cups/ is mostly
immaterial becuse if I will start with an empty /etc/cups/printers.conf
it stays empty while a printer queue does show up.  If this writes
some semi-random stuff in secret locations then no wonder that I
cannot get repeatable results in various configuration aspects.
Comment 3 Tim Waugh 2007-02-09 04:49:01 EST
Please file one bug per report.  So far in this one I see:

* traceback
 --> That's what *this* bug report is about then.  Appears harmless but should
be fixed.

* complaint about splix
 --> just needs packaging I think -- want to volunteer?

* manufacturer confusion
 --> please try to isolate what causes it, and file a separate bug report

* complaint about how s-c-printer works
 --> s-c-printer uses the CUPS API -- no hidden config
Comment 4 Tim Waugh 2007-02-09 08:36:36 EST
Hmm, we're getting None for get_selected() from the tree view's selection, which
is a bit unfair when the row is clearly selected. :-/
Comment 5 Tim Waugh 2007-02-09 10:26:11 EST
Fixed in CVS (had to use get_cursor instead).
Comment 6 Tim Waugh 2007-02-09 11:16:10 EST
Fixed in 0.7.51-1.fc7 for devel.
Comment 7 Tim Waugh 2007-02-13 08:23:10 EST
FC6 test update: 0.7.52-1.fc6.
Comment 8 Fedora Update System 2007-02-14 15:00:59 EST
Fixed in update: system-config-printer-0.7.52-1.fc6

Note You need to log in before you can comment on or make changes to this bug.